Loading...
Searching...
No Matches
apr_memcache.h File Reference

Client interface for memcached. More...

`#include "apr.h"`
`#include "apr_pools.h"`
`#include "apr_time.h"`
`#include "apr_strings.h"`
`#include "apr_network_io.h"`
`#include "apr_ring.h"`
`#include "apr_buckets.h"`
`#include "apr_reslist.h"`
`#include "apr_hash.h"`
Include dependency graph for apr_memcache.h:

Go to the source code of this file.

## Data Structures

struct | apr_memcache_server_t
struct | apr_memcache_t
struct | apr_memcache_value_t
struct | apr_memcache_stats_t

## Typedefs

typedef struct apr_memcache_conn_t | apr_memcache_conn_t
typedef struct apr_memcache_server_t | apr_memcache_server_t
typedef apr_uint32_t(* | apr_memcache_hash_func) (void *baton, const char *data, const apr_size_t data_len)
typedef struct apr_memcache_t | apr_memcache_t
typedef apr_memcache_server_t *(* | apr_memcache_server_func) (void *baton, apr_memcache_t *mc, const apr_uint32_t hash)

## Enumerations

enum | apr_memcache_server_status_t { APR_MC_SERVER_LIVE , APR_MC_SERVER_DEAD }

## Functions

apr_uint32_t | apr_memcache_hash (apr_memcache_t *mc, const char *data, const apr_size_t data_len)
apr_uint32_t | apr_memcache_hash_crc32 (void *baton, const char *data, const apr_size_t data_len)
apr_uint32_t | apr_memcache_hash_default (void *baton, const char *data, const apr_size_t data_len)
apr_memcache_server_t * | apr_memcache_find_server_hash (apr_memcache_t *mc, const apr_uint32_t hash)
apr_memcache_server_t * | apr_memcache_find_server_hash_default (void *baton, apr_memcache_t *mc, const apr_uint32_t hash)
apr_status_t | apr_memcache_add_server (apr_memcache_t *mc, apr_memcache_server_t *server)
apr_memcache_server_t * | apr_memcache_find_server (apr_memcache_t *mc, const char *host, apr_port_t port)
apr_status_t | apr_memcache_enable_server (apr_memcache_t *mc, apr_memcache_server_t *ms)
apr_status_t | apr_memcache_disable_server (apr_memcache_t *mc, apr_memcache_server_t *ms)
apr_status_t | apr_memcache_server_create (apr_pool_t *p, const char *host, apr_port_t port, apr_uint32_t min, apr_uint32_t smax, apr_uint32_t max, apr_uint32_t ttl, apr_memcache_server_t **ns)
apr_status_t | apr_memcache_create (apr_pool_t *p, apr_uint16_t max_servers, apr_uint32_t flags, apr_memcache_t **mc)
apr_status_t | apr_memcache_getp (apr_memcache_t *mc, apr_pool_t *p, const char *key, char **baton, apr_size_t *len, apr_uint16_t *flags)
void | apr_memcache_add_multget_key (apr_pool_t *data_pool, const char *key, apr_hash_t **values)
apr_status_t | apr_memcache_multgetp (apr_memcache_t *mc, apr_pool_t *temp_pool, apr_pool_t *data_pool, apr_hash_t *values)
apr_status_t | apr_memcache_set (apr_memcache_t *mc, const char *key, char *baton, const apr_size_t data_size, apr_uint32_t timeout, apr_uint16_t flags)
apr_status_t | apr_memcache_add (apr_memcache_t *mc, const char *key, char *baton, const apr_size_t data_size, apr_uint32_t timeout, apr_uint16_t flags)
apr_status_t | apr_memcache_replace (apr_memcache_t *mc, const char *key, char *baton, const apr_size_t data_size, apr_uint32_t timeout, apr_uint16_t flags)
apr_status_t | apr_memcache_delete (apr_memcache_t *mc, const char *key, apr_uint32_t timeout)
apr_status_t | apr_memcache_incr (apr_memcache_t *mc, const char *key, apr_int32_t n, apr_uint32_t *nv)
apr_status_t | apr_memcache_decr (apr_memcache_t *mc, const char *key, apr_int32_t n, apr_uint32_t *new_value)
apr_status_t | apr_memcache_version (apr_memcache_server_t *ms, apr_pool_t *p, char **baton)
apr_status_t | apr_memcache_stats (apr_memcache_server_t *ms, apr_pool_t *p, apr_memcache_stats_t **stats)

## Detailed Description

Client interface for memcached.

Remarks
  To use this interface you must have a separate memcached server running. See the memcached website at http://www.danga.com/memcached/ for more information.